﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class QuitButton : MonoBehaviour {

    public CanvasGroup panel;
    public Button main;
    public Button yes;
    public Button no;

	void Start () {
        panel.blocksRaycasts = false;
        panel.alpha = 0;
        panel.interactable = false;
    }

    public void OnClickMain() {
        if (panel.alpha == 0) {
            panel.blocksRaycasts = true;
            panel.alpha = 1;
            panel.interactable = true;
        }
        else if (panel.alpha == 1) {
            panel.blocksRaycasts = false;
            panel.alpha = 0;
            panel.interactable = false;
        }
    }

    public void OnClickYes() { // quit to main menu
        SceneManager.LoadScene("Start");
    }

    public void OnClickNo() { // hide panel
        panel.blocksRaycasts = false; 
        panel.alpha = 0;
        panel.interactable = false;
    }

}
